Get bill-to by shipToId [Deprecated]
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/bill-to/ship-to/{shipToId}import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-cart/bill-to/ship-to/{shipToId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-cart/bill-to/ship-to/{shipToId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipMethod": {
"shipMethodId": "1a2b3c4d5e6f7g8h9i0j",
"shipmentCarrier": "Fedex",
"shipmentMethod": "Next Day",
"cost": {
"currency": "USD",
"amount": 5.99
}
},
"address": {
"street1": "123 Main Street",
"city": "Seattle",
"state": "WA",
"country": "United States of America",
"zipCode": "10008-1234",
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc",
"attention": "Leave at the back door.",
"street2": "ABC Boulevard",
"kind": "TBD",
"phone": {
"number": "123-456-7890",
"kind": "Mobile"
}
},
"billTo": [
{
"paymentMethod": "Visa Credit",
"cardIdentifier": "1234",
"amount": 149.99,
"address": {
"street1": "123 Main Street",
"city": "Seattle",
"state": "WA",
"country": "United States of America",
"zipCode": "10008-1234",
"name": {
"first": "John",
"last": "Smith"
},
"email": "johnsmith@fabric.inc",
"attention": "Leave at the back door.",
"street2": "ABC Boulevard",
"kind": "TBD",
"phone": {
"number": "123-456-7890",
"kind": "Mobile"
}
},
"billToId": 1,
"cart": "5e5818a84d030c206b2ffb02",
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"__v": 0
}
],
"shipToType": "SHIP_TO_ADDRESS",
"taxCode": "FR1000",
"shipToId": 1,
"__v": 0,
"cartId": "5e5818a84d030c206b2ffb02",
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "SHIPTO_NOT_FOUND",
"message": "Ship-to not found."
}{
"code": "<string>",
"message": "<string>"
}Bill To
Get bill-to by shipToId [Deprecated]
Get bill-to by shipToId
GET
/
api-cart
/
bill-to
/
ship-to
/
{shipToId}
Get bill-to by shipToId [Deprecated]
Path Parameters
Required string length:
24Example:
"5e5818a84d030c206b2ffb02"
Response
Getting Bill To By ID
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
BOPIS, SHIP_TO_STORE, SHIP_TO_ADDRESS, STORE_PICKUP Example:
"SHIP_TO_ADDRESS"
Example:
"FR1000"
Example:
1
Example:
0
Required string length:
24Example:
"5e5818a84d030c206b2ffb02"
Example:
"5fee9d59f2f08a1b3cbdea08"
Example:
"2020-12-31T02:09:53.914Z"
Example:
"2020-12-31T02:09:53.914Z"
Was this page helpful?
⌘I
